PROBE::NFS.AOP.W(3stap)

NAME
probe::nfs.aop.writepage - NFS client writing a mapped page to the NFS server

SYNOPSIS

nfs.aop.writepage

VALUES

for_reclaim
    a flag of writeback_control, indicates if it's invoked from the page allocator

page_index
    offset within mapping, can used a page identifier and position identifier in the page frame

wsize
    write size

sb_flag
    super block flags

size
    number of pages to be written in this execution

for_kupdate
    a flag of writeback_control, indicates if it's a kupdate writeback

i_size
    file length in bytes

i_flag
    file flags

__page
    the address of page

i_state
    inode state flags

dev
    device identifier

ino
    inode number

DESCRIPTION

The priority of wb is decided by the flags for_reclaim and for_kupdate.

SEE ALSO
tapset::nfs(3stap)